This guide demonstrates making your first authenticated request to the Zimark API.
Before you begin, ensure you have:
- ✅ Access to a Zimark environment
- ✅ REST base URL: https://api.zimark.link/
- ✅ An API key (create one)
Test your API key by fetching the gates in your organization.
Use the interactive API documentation:
Open Get gates
Click Try it

Select your environment

Add your API key to the
X-AUTH-KEYheader
Click Send
curl -X GET "https://api.zimark.link/integration/rest/api/v1/gate?pageSize=5" \
-H "X-AUTH-KEY: ZIM.your-api-key-here" \
-H "Content-Type: application/json"{
"content": [
{
"name": "Dock 12A",
"externalIdentifier": "GATE-12A",
"status": "AVAILABLE",
"gateType": "SINGLE_MANIFEST"
}
],
"totalElements": 1
}